[overflow]:has(table){
  overflow: auto;
  scrollbar-color: var(--theme_fff) black;
  border: 1px solid black;}
  [overflow] table {
    width: -webkit-fill-available; }
    caption {
      color-scheme: dark;
      font-family: monospace;
      color: #ddd;}
    th, caption { 
      padding: 5px 10px !important;
      background: var(--b_override, black); }
    th {
      box-shadow: 0 0 5px var(--theme_transparent_333);
      color: wheat;
      white-space: nowrap }
      th[not_main]{
        --b_override: light-dark(#333, #111); }
    td {
      backdrop-filter: brightness(0.8);
      padding: 3px 7px;}
    :is(td, th).left { text-align: left; }
    :is(td, th).center { text-align: center; }
    :is(td, th).right { text-align: right; }


table[css='light']{
  --css_l_b: #bbb;

  :is(tbody, tfoot) {
    background: var(--css_l_b); }

  :is(tbody, tfoot) td {
    backdrop-filter: unset;
    color-scheme: light; }
}

table[inputs="clear"]{
  input:not([type="checkbox"]) {
    all: unset;
    background: var(--css_l_b) !important;
    
    &:-webkit-autofill {
      -webkit-box-shadow: 0 0 0 1000px var(--css_l_b) inset !important;
      -webkit-text-fill-color: #000;
    }
  
  }
}